Subject: Re: [PATCH]: Fix networking scatterlist regressions.

From: Rusty Russell <[email-masked]>
Date: Wed, 31 Oct 2007 17:06:32 +1100

On Wednesday 31 October 2007 14:40:02 David Miller wrote:
> I just checked the following bug fix into net-2.6
>
> Rusty, have a quick look at virtio_net wrt. the changes I
> made to skb_to_sgvec()'s behavior.  I think I might have
> even fixed something :-)

Grr, the scatterlist changes are really pissing me off.  We get ugly tricky 
code *and* transition pain.

I hate to suggest this, but I don't supposed there's a chance we can revert it 
for 2.6.24 and do something cleaner for 2.6.25?

Rusty.